[darwinbuild-changes] [269] trunk/darwinbuild/buildlist.sh

source_changes at macosforge.org source_changes at macosforge.org
Wed Oct 4 02:02:08 PDT 2006


Revision: 269
          http://trac.macosforge.org/projects/darwinbuild/changeset/269
Author:   ssen
Date:     2006-10-04 02:02:08 -0700 (Wed, 04 Oct 2006)

Log Message:
-----------
Helper script to take a list of projects and build them.
It keeps the BuildRoot/ clean, and verifies the projects
against the "nobuild" group

Added Paths:
-----------
    trunk/darwinbuild/buildlist.sh

Added: trunk/darwinbuild/buildlist.sh
===================================================================
--- trunk/darwinbuild/buildlist.sh	                        (rev 0)
+++ trunk/darwinbuild/buildlist.sh	2006-10-04 09:02:08 UTC (rev 269)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]; then
+	echo "Usage: $0 projects.txt" 1>&2
+	exit 1
+fi
+
+PROJECTS="$1"
+
+function SkipBuild() {
+    local project="$1"
+    for exclude in `darwinxref group nobuild`; do
+	if [ "$project" = "$exclude" ]; then
+	    return 0
+	fi
+    done
+    return 1
+}
+
+cat "$PROJECTS" | while read proj; do
+    SkipBuild $proj
+    if [ $? -eq 0 ]; then
+	continue
+    fi
+    echo -n "Building $proj..."
+    mkdir -p WholeLogs
+    darwinbuild -noload $proj > WholeLogs/$proj 2>&1
+    if [ $? -eq 0 ]; then
+	echo " done"
+    else
+	echo " FAILED"
+    fi
+
+    rm -rf BuildRoot/SourceCache
+    rm -rf BuildRoot/var/tmp/$proj
+
+done


Property changes on: trunk/darwinbuild/buildlist.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/darwinbuild-changes/attachments/20061004/4af74f62/attachment-0001.html


More information about the darwinbuild-changes mailing list